<?php

// uncomment the following to define a path alias
// Yii::setPathOfAlias('local','path/to/local-folder');

// This is the main Web application configuration. Any writable
// CWebApplication properties can be configured here.
return array(
	'basePath'=>dirname(__FILE__).DIRECTORY_SEPARATOR.'..',
	'name'=>'BigHugGym Pezinok',

	// preloading 'log' component
	'preload'=>array('log'),

	// autoloading model and component classes
	'import'=>array(
		'application.models.*',
		'application.components.*',
	),

	'modules'=>array(
		// uncomment the following to enable the Gii tool

		'gii'=>array(
			'class'=>'system.gii.GiiModule',
			'password'=>'ragnarok',
			// If removed, Gii defaults to localhost only. Edit carefully to taste.
			'ipFilters'=>array('127.0.0.1','::1','188.167.89.184'),
		),

	),

	// application components
	'components'=>array(
    'helper'=>array('class'=>'Helper'),
		'user'=>array(
			// enable cookie-based authentication
			'allowAutoLogin'=>true,
		),

		// uncomment the following to enable URLs in path-format
		/*
		'urlManager'=>array(
			'urlFormat'=>'path',
			'rules'=>array(
				'<controller:\w+>/<id:\d+>'=>'<controller>/view',
				'<controller:\w+>/<action:\w+>/<id:\d+>'=>'<controller>/<action>',
				'<controller:\w+>/<action:\w+>'=>'<controller>/<action>',
			),
		),
		*/

		// database settings are configured in database.php
		'db'=>require(dirname(__FILE__).'/database.php'),

		'errorHandler'=>array(
			// use 'site/error' action to display errors
			'errorAction'=>'site/error',
		),

		'log'=>array(
			'class'=>'CLogRouter',
			'routes'=>array(
				array(
					'class'=>'CFileLogRoute',
					'levels'=>'error, warning',
				),
				// uncomment the following to show log messages on web pages
				/*
				array(
					'class'=>'CWebLogRoute',
				),
				*/
			),
		),

	),

	// application-level parameters that can be accessed
	// using Yii::app()->params['paramName']
	'params'=>array(
		// this is used in contact page
		'adminEmail'=>'pezinok@bighuggym.sk',
                'controlEmail' => 'kontrola.pezinok@bighuggym.sk',
                'gymPhone' => '+(421)948722163',
                'gymAddress' => 'Nákupné centrum MÓLO,<br />Myslenická 2/C,<br />902 01 Pezinok',
                'gymDesc' => 'BigHugGym Pezinok má výbornú lokalitu v nákupnom centre „Mólo“  nachádzajúcom sa vedľa hlavného cestného ťahu Bratislava – Trnava na Myslenickej ulici 2/C, 902 01 Pezinok. Dostupnosť je výborná autom, autobusom alebo vlakom. Nákupné centrum ponúka množstvo bezplatných parkovacích miest. ',
                'gymAccount_sro' => 'SK78 0200 0000 0032 0430 8959',
                'gymAccount_oz' => 'SK38 0200 0000 0035 2888 8654',
				'varSym' => '300',
				'pricePerHour' => 12,
				'pricePerHourDiscount' => 10,
	),
);
